%	bin_egb		MATLAB function
%
%	bin_egb reads the binary  data from the selected files
%	skips samples according to vector skip to align data
%	properly and returns on array data of size (channels
% 	x nsamp) to plot.
%
%	USAGE: function [data]= bin_BEAR(head,skip,nsec,k);
%
function [data]= bin_egb(head,skip,nsec,k);

global fid_bin naxes sc_factor

ndata = floor(nsec/head(k).dt);
data  = zeros(head(k).nch,ndata);

   fseek(fid_bin(k),skip(k)*2*head(k).nch/head(k).dt,-1);
   data(1:head(k).nch,:) = fread(fid_bin(k),[head(k).nch,ndata],'int16');

return
