% TS print routine

function ts_print(dat_file)

set(gcf,'PaperPositionMode','auto');
set(gcf,'InvertHardcopy','off')
  
% filename GUI
prompt = {'Select path:','Select filename:'};
title  = 'Choose filename';
lines  = 1;

charfile = char(dat_file(1))
s  = findstr(charfile,'/'); 
sp = s(size(s,2));
pp = findstr(charfile,'.');
def = {charfile(1:sp-1), strcat(charfile(sp+1:pp),'eps')};

fileanswer = inputdlg(prompt,title,lines,def);
filename = char(strcat(fileanswer(1,:),'/',fileanswer(2,:)));

pp = findstr(filename,'.');
if (filename(pp+1:pp+2) == 'ps' | filename(pp+1:pp+2) == 'PS')
   print('-dpsc2',filename)
elseif (filename(pp+1:pp+3) == 'eps' | filename(pp+1:pp+3) == 'EPS')
   print('-depsc2',filename) 
end
